Change list status
Turns a list on or off for dialing.
Parameters
Send as application/x-www-form-urlencoded.
typestringrequiredSelects the operation. Always
change_statusfor this endpoint.tokenstringrequiredYour API token from Log in. See Authentication.
ID of the list.
Example2048Y to make the list active for dialing, N to make it inactive.
One ofYN
curl https://api.dcdial.com/api/ \ -d type=change_status \ -d token="$DCDIAL_TOKEN" \ -d list_id=2048 \ -d status=Y<?php$ch = curl_init('https://api.dcdial.com/api/');curl_setopt_array($ch, [ CURLOPT_POST => true, CURLOPT_RETURNTRANSFER => true, CURLOPT_POSTFIELDS => http_build_query([ 'type' => 'change_status', 'token' => getenv('DCDIAL_TOKEN'), 'list_id' => 2048, 'status' => 'Y', ]),]);$result = json_decode(curl_exec($ch), true);curl_close($ch);
if (($result['response']['success'] ?? 0) != 1) { throw new RuntimeException($result['response']['error'] ?? 'Request failed');}const res = await fetch('https://api.dcdial.com/api/', { method: 'POST', body: new URLSearchParams({ type: "change_status", token: process.env.DCDIAL_TOKEN, list_id: "2048", status: "Y", }),});const { response } = await res.json();if (response.success != 1) throw new Error(response.error);import osimport requests
r = requests.post( "https://api.dcdial.com/api/", data={ "type": "change_status", "token": os.environ["DCDIAL_TOKEN"], "list_id": 2048, "status": "Y", }, timeout=30,)response = r.json()["response"]if str(response.get("success")) != "1": raise RuntimeError(response.get("error")){ "response": { "success": "1", "error": "" }}Try it